<?php
	// V4.00 get ECB cube rates into JavaScript structure
	$exchrate['EUR'] = 1.00;
	$ratesurl = "http://www.ecb.europa.eu/stats/eurofxref/eurofxref-daily.xml";	// the ECB XML feed

	$curl = curl_init();
	curl_setopt ($curl, CURLOPT_URL, $ratesurl);
	curl_setopt($curl, CURLOPT_FOLLOWLOCATION, 1);
	curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);
	$daily = curl_exec($curl);							// get feed text
	curl_close($curl);

	$XML = new SimpleXMLElement($daily);						// create XML structure
	foreach($XML->Cube->Cube->Cube as $curr)					// get rate items 
		{
		$exchrate[(string)$curr["currency"]] = (string)$curr['rate'];		// save ISO code and rate
		}
		
	ksort($exchrate);								// sort by ISO codes

	$jscode = "var ecodes=new Object();\r\n";					//JavaScript object
	foreach (array_keys($exchrate) as $dest) 
		{
		$lname = array_key_exists($dest, $longnames) ? $longnames[$dest] : '';	// long name
		// add new object. e.g.  ecodes['EUR'] = {code:'EUR',rate:1.23,lname:'Europe Euro'};
		$jscode .= "ecodes['$dest'] = {code:'$dest', rate:'$exchrate[$dest]', lname:'$lname'};\r\n";
		}
?>
